/**
 *  swimacapi.h
 *  swimac framework main header entry
 *
 *  Created by Russ Winsper on 12/30/06.
 *  Copyright 2006 - 2007 Sierra Wireless. All rights reserved.
 *
 */
 
#ifndef __SWIMACAPI__
#define __SWIMACAPI__

//#import <Carbon/Carbon.h>	// Need to by 64-bit clean

#ifdef __cplusplus
extern "C"	{
#endif

// Data structures
#import "swimacdatatypes.h"
#import "swimacomadmStructs.h"
#import "swimacrcodes.h"
#import "swimacstructs.h"

// API Entry points
#import "swiapi.h"					// Core API functions
#import "swimacbasicmodem.h"		// Basic modem functions
#import "swimaciota.h"				// IOTA functions
#import "swimacotasp.h"				// OTASP functions
#import "swimacpdsm.h"				// GPS and LBS functions
#import "swimacpst.h"				// PST functions
#import "swimacomadm.h"				// OMADM functions
#import "swifota.h"					// FOTA functions
#import "swimachwinfo.h"			// hardware functions
#import "swimacsms.h"				// SMS functions
#import "swimactech.h"				// Tech functions
#import "swimacstoragemedia.h"		// Removable media functions
#import "swiwimax.h"				// WiMAX support
#import "swiwimaxddf.h"				// WiMAX DDF support
// UMTS Specific headers
#import "swiprofile.h"				// Profile functions
#import "swimacumtsbasic.h"			// Basic UMTS modem functions
#import "swiimei.h"					// IMEI functions
#import "swimacsimsecurity.h"		// SIM security functions
#import "swiumtsphonebook.h"		// Phone book functions
#ifdef __cplusplus
}
#endif

#endif	// __SWIAPI__


