/*
 *  swimacotasp.h
 *  swimac
 *
 *  Created by Mark de Jong on 6/18/09.
 *  Copyright 2009 Sierra Wireless, Inc. All rights reserved.
 *
 */

#ifndef __SWIMACOTASP_H__
#define __SWIMACOTASP_H__

#ifdef __cplusplus
extern "C"	{
#endif
	
#import "swimacrcodes.h"
#import "swimacdatatypes.h"
#import "swimacstructs.h"

#define LENGTH_OTASP_PHONE_NUMBER 21
	
	//////////////////////////////////////////////////////////////////////////////////
	//
	// Name:        SwiPriGetOTASPDialstring
	//
	// Purpose:	    Return the OTASP activation phone number from the PRI
	//
	// Parameters:  otaspString[IN/OUT]     Pointer to string buffer to store phone
	//                                      number for OTASP
	//              szLength[IN]            Length of string buffer.
	//              timeout[IN]             Function timeout in milliseconds
	//
	// Return:      SWI_RCODE_OK - SwiPriGetOTASPDialstring() succeeded.
	//              SWI_RCODE_FAILED - SwiPriGetOTASPDialstring() failed.
	//              SWI_RCODE_SYSTEM_ERROR - SwiPriGetOTASPDialstring() generated a system error.
	//              SWI_RCODE_REQUEST_TIMEOUT - SwiPriGetOTASPDialstring() timed out.
	//
	// Notes:       None.
	//
	//////////////////////////////////////////////////////////////////////////////////
	SWI_RCODE SwiPriGetOTASPDialstring(SWI_LPTSTR otaspString, SWI_U32 szLength, SWI_U32 timeout);


#ifdef __cplusplus
}
#endif
		
	
#endif // __SWIMACOTASP_H__